Page MenuHomePhabricator

Help communities replace page notices with collapsed templates as they're impossible for VE/NWE or mobile users
Open, LowPublic8 Story Points

Description

  1. Opt in to New Wikitext editor in preferences
  2. Go to EnWiki's Administrators'_noticeboard/Requests_for_closure.
  3. Click Edit Source on any section.
  4. See Page Notice containing green ANRFC talkpage notation templates box. Notice that the green box cannot be expanded.
  5. In the normal editor that green box has a SHOW link to expand the contents. The green box contains useful tools/examples.

That box still needs to expandable, and the tools inside still need to work.

However merely fixing that is probably sub-par. In the normal editor the page notice is part of the page. The tools in the page notice remain visible and easily accessible. In the New Wikitext Editor the page notice is displayed in a popup. That popup disappears when I click the edit-area. The tools disappear. Those tools are generally used in the middle of an edit, or at the end of the edit. Assuming the popup-content is fixed, it still seems non-obvious and non-ideal that I have to click the editor's EditNotice button to get the popup back when I need to access those tools.

Event Timeline

Alsee created this task.Dec 27 2016, 9:16 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 27 2016, 9:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

However merely fixing that is probably sub-par. In the normal editor the page notice is part of the page. The tools in the page notice remain visible and easily accessible. In the New Wikitext Editor the page notice is displayed in a popup. [...]

this seems rather out of scope

in any case, I believe these are created by user (e.g., MediaWiki:Common.js) rather than MW code, so there's likely not much we can do on this side (VE isn't actually magic, it can't force everything else to become compatible)

Alsee added a comment.Jan 2 2017, 8:25 AM

If the broken ANRFC toolbox is a WontFix, can you please update the 2017 wikitext editor page to remove the claim that deploying New Wikitext Editor won't break anything? We'll give users as good an experience as we can, without breaking anything.

TheDJ added a subscriber: TheDJ.EditedJan 2 2017, 9:48 AM

OMG, that's a smart usage of edit notices, data attributes and the random fact that the ext.charinsert module doesn't actually care about where in the page the edittools are rendered... I don't think any developer ever considered this was a possible use of edit notices....

Anyway. that really shouldn't be part of an edit notice (intended for [metadata] content). If it were, the edit notice system would have been called toolbar instead.

Jdforrester-WMF renamed this task from New Wikitext Editor: Page notice with collapsed template is broken to Help communites replace page notices with collapsed templates as they're impossible for VE/NWE or mobile users.Mar 7 2017, 8:14 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a subscriber: Technical13.
Elitre renamed this task from Help communites replace page notices with collapsed templates as they're impossible for VE/NWE or mobile users to Help communities replace page notices with collapsed templates as they're impossible for VE/NWE or mobile users.Sep 25 2017, 2:12 PM
Elitre added a subscriber: Elitre.Sep 25 2017, 4:55 PM

Does the fact that T51622 is closed change anything?

jeremyb added a subscriber: Pharos.